Subject: Re: [PATCH] powerpc: sort Kconfig selects under CONFIG_PPC

From: Michael Ellerman <[email-masked]>
Date: Mon, 30 Jan 2017 20:56:12 +1100

Stephen Rothwell <[email-masked]> writes:
> On Mon, 30 Jan 2017 20:30:02 +1100 Andrew Donnellan <[email-masked]> wrote:
>>
>> config PPC has a lot of selects under it. They're not sorted in any
>> particular order, leading to merge conflicts when adding items at the end.
>> 
>> Sort them alphabetically.
>
> Excellent, thanks.
>
>> Suggested-by: Michael Ellerman <[email-masked]>
>> Signed-off-by: Andrew Donnellan <[email-masked]>
>> ---
>> 
>> On top of linux-next 20170130
>
> Probably best done on top of powerpc-next and I can cope with the
> conflicts one more time.

But I don't want to send that many conflicts to Linus.

What we need to do is generate the patch just after 4.11-rc1 is out,
that way there should be zero skew between my fixes/next and Linus'
tree. I've been meaning to do it for a few releases but just never
remember.

So Andrew if you can remember to do it then that would be awesome :)

>> diff --git a/arch/powerpc/Kconfig b/arch/powerpc/Kconfig
>> index 689cf9218b21..570195c8a86a 100644
>> --- a/arch/powerpc/Kconfig
>> +++ b/arch/powerpc/Kconfig
>> @@ -80,91 +80,91 @@ config ARCH_HAS_DMA_SET_COHERENT_MASK
>>  config PPC
>
> Could we add a comment just above asking that the selects be kept in order?

Actually at the bottom would make more sense I think, that's where
people will try to add new ones.

cheers